VULKAN_HPP_NAMESPACE::RenderPassCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::RenderPassCreateInfo:
[legend]

## Public Member Functions

| RenderPassCreateInfo (RenderPassCreateFlags flags_=RenderPassCreateFlags(), uint32_t attachmentCount_=0, const AttachmentDescription *pAttachments_=nullptr, uint32_t subpassCount_=0, const SubpassDescription *pSubpasses_=nullptr, uint32_t dependencyCount_=0, const SubpassDependency *pDependencies_=nullptr)
| RenderPassCreateInfo (VkRenderPassCreateInfo const &rhs)
RenderPassCreateInfo & | operator= (VkRenderPassCreateInfo const &rhs)
RenderPassCreateInfo & | setPNext (const void *pNext_)
RenderPassCreateInfo & | setFlags (RenderPassCreateFlags flags_)
RenderPassCreateInfo & | setAttachmentCount (uint32_t attachmentCount_)
RenderPassCreateInfo & | setPAttachments (const AttachmentDescription *pAttachments_)
RenderPassCreateInfo & | setSubpassCount (uint32_t subpassCount_)
RenderPassCreateInfo & | setPSubpasses (const SubpassDescription *pSubpasses_)
RenderPassCreateInfo & | setDependencyCount (uint32_t dependencyCount_)
RenderPassCreateInfo & | setPDependencies (const SubpassDependency *pDependencies_)
| operator VkRenderPassCreateInfo const & () const
| operator VkRenderPassCreateInfo & ()
bool | operator== (RenderPassCreateInfo const &rhs) const
bool | operator!= (RenderPassCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
RenderPassCreateFlags | flags
uint32_t | attachmentCount
const AttachmentDescription * | pAttachments
uint32_t | subpassCount
const SubpassDescription * | pSubpasses
uint32_t | dependencyCount
const SubpassDependency * | pDependencies

## Private Attributes

StructureType | sType = StructureType::eRenderPassCreateInfo

## Detailed Description

Definition at line 34923 of file vulkan.hpp.

## Constructor & Destructor Documentation

## RenderPassCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::RenderPassCreateInfo | ( | RenderPassCreateFlags | flags_ = `RenderPassCreateFlags()`,
|  | uint32_t | attachmentCount_ = `0`,
|  | const AttachmentDescription * | pAttachments_ = `nullptr`,
|  | uint32_t | subpassCount_ = `0`,
|  | const SubpassDescription * | pSubpasses_ = `nullptr`,
|  | uint32_t | dependencyCount_ = `0`,
|  | const SubpassDependency * | pDependencies_ = `nullptr`
| ) |  |

inline

Definition at line 34925 of file vulkan.hpp.

: flags( flags_ )
, attachmentCount( attachmentCount_ )
, pAttachments( pAttachments_ )
, subpassCount( subpassCount_ )
, pSubpasses( pSubpasses_ )
, dependencyCount( dependencyCount_ )
, pDependencies( pDependencies_ )
{
}

## RenderPassCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::RenderPassCreateInfo | ( | VkRenderPassCreateInfo const & | rhs | ) |

inline

Definition at line 34942 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( RenderPassCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkRenderPassCreateInfo &()

VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::operator VkRenderPassCreateInfo & | ( |  | ) |

inline

Definition at line 35005 of file vulkan.hpp.

{
return *reinterpret_cast<VkRenderPassCreateInfo*>(this);
}

## operator VkRenderPassCreateInfo const &()

VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::operator VkRenderPassCreateInfo const & | ( |  | ) | const

inline

Definition at line 35000 of file vulkan.hpp.

{
return *reinterpret_cast<const VkRenderPassCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::operator!= | ( | RenderPassCreateInfo const & | rhs | ) | const

inline

Definition at line 35023 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

RenderPassCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::operator= | ( | VkRenderPassCreateInfo const & | rhs | ) |

inline

Definition at line 34947 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( RenderPassCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::operator== | ( | RenderPassCreateInfo const & | rhs | ) | const

inline

Definition at line 35010 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( attachmentCount == rhs.attachmentCount )
&& ( pAttachments == rhs.pAttachments )
&& ( subpassCount == rhs.subpassCount )
&& ( pSubpasses == rhs.pSubpasses )
&& ( dependencyCount == rhs.dependencyCount )
&& ( pDependencies == rhs.pDependencies );
}

References attachmentCount, dependencyCount, flags, pAttachments, pDependencies, pNext, pSubpasses, sType, and subpassCount.

Referenced by operator!=().

## setAttachmentCount()

RenderPassCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::setAttachmentCount | ( | uint32_t | attachmentCount_ | ) |

inline

Definition at line 34964 of file vulkan.hpp.

{
attachmentCount = attachmentCount_;
return *this;
}

References attachmentCount.

## setDependencyCount()

RenderPassCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::setDependencyCount | ( | uint32_t | dependencyCount_ | ) |

inline

Definition at line 34988 of file vulkan.hpp.

{
dependencyCount = dependencyCount_;
return *this;
}

References dependencyCount.

## setFlags()

RenderPassCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::setFlags | ( | RenderPassCreateFlags | flags_ | ) |

inline

Definition at line 34958 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPAttachments()

RenderPassCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::setPAttachments | ( | const AttachmentDescription * | pAttachments_ | ) |

inline

Definition at line 34970 of file vulkan.hpp.

{
pAttachments = pAttachments_;
return *this;
}

References pAttachments.

## setPDependencies()

RenderPassCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::setPDependencies | ( | const SubpassDependency * | pDependencies_ | ) |

inline

Definition at line 34994 of file vulkan.hpp.

{
pDependencies = pDependencies_;
return *this;
}

References pDependencies.

## setPNext()

RenderPassCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 34952 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPSubpasses()

RenderPassCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::setPSubpasses | ( | const SubpassDescription * | pSubpasses_ | ) |

inline

Definition at line 34982 of file vulkan.hpp.

{
pSubpasses = pSubpasses_;
return *this;
}

References pSubpasses.

## setSubpassCount()

RenderPassCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::setSubpassCount | ( | uint32_t | subpassCount_ | ) |

inline

Definition at line 34976 of file vulkan.hpp.

{
subpassCount = subpassCount_;
return *this;
}

References subpassCount.

## Field Documentation

## attachmentCount

uint32_t VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::attachmentCount

Definition at line 35034 of file vulkan.hpp.

Referenced by operator==(), and setAttachmentCount().

## dependencyCount

uint32_t VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::dependencyCount

Definition at line 35038 of file vulkan.hpp.

Referenced by operator==(), and setDependencyCount().

## flags

RenderPassCreateFlags VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::flags

Definition at line 35033 of file vulkan.hpp.

Referenced by operator==().

## pAttachments

const AttachmentDescription* VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::pAttachments

Definition at line 35035 of file vulkan.hpp.

Referenced by operator==(), and setPAttachments().

## pDependencies

const SubpassDependency* VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::pDependencies

Definition at line 35039 of file vulkan.hpp.

Referenced by operator==(), and setPDependencies().

## pNext

const void* VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::pNext = nullptr

Definition at line 35032 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pSubpasses

const SubpassDescription* VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::pSubpasses

Definition at line 35037 of file vulkan.hpp.

Referenced by operator==(), and setPSubpasses().

## sType

StructureType VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::sType = StructureType::eRenderPassCreateInfo

private

Definition at line 35029 of file vulkan.hpp.

Referenced by operator==().

## subpassCount

uint32_t VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::subpassCount

Definition at line 35036 of file vulkan.hpp.

Referenced by operator==(), and setSubpassCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:35029
VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::pAttachments
const AttachmentDescription * pAttachments
Definition: vulkan.hpp:35035
VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::pSubpasses
const SubpassDescription * pSubpasses
Definition: vulkan.hpp:35037
VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::pDependencies
const SubpassDependency * pDependencies
Definition: vulkan.hpp:35039
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::operator==
bool operator==(RenderPassCreateInfo const &rhs) const
Definition: vulkan.hpp:35010
VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::flags
RenderPassCreateFlags flags
Definition: vulkan.hpp:35033
VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::subpassCount
uint32_t subpassCount
Definition: vulkan.hpp:35036
VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:35032
VkRenderPassCreateInfo
Definition: vulkan_core.h:2658
VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::dependencyCount
uint32_t dependencyCount
Definition: vulkan.hpp:35038
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::RenderPassCreateInfo
RenderPassCreateInfo(RenderPassCreateFlags flags_=RenderPassCreateFlags(), uint32_t attachmentCount_=0, const AttachmentDescription *pAttachments_=nullptr, uint32_t subpassCount_=0, const SubpassDescription *pSubpasses_=nullptr, uint32_t dependencyCount_=0, const SubpassDependency *pDependencies_=nullptr)
Definition: vulkan.hpp:34925
VULKAN_HPP_NAMESPACE::RenderPassCreateInfo::attachmentCount
uint32_t attachmentCount
Definition: vulkan.hpp:35034